"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libcomp' }"

LibraryDefinition subclass:#stx_libcomp
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_libcomp class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build-Information for creation of the st/x standard library: stx_libcomp.
    This library contains the smalltalk parser and bytecode compiler.
"
! !

!stx_libcomp class methodsFor:'description'!

excludedFromPreRequisites
    ^ #(
        #'stx:libbasic2'    "Text - referenced by Parser>>selectorCheck:for:positions: "
        #'stx:libtool'    "Tools::ToDoListBrowser - referenced by Parser>>selectorCheck:for:positions: "
        #'stx:libview'    "Color - referenced by SyntaxHighlighter>>markParenthesisAt: "
        #'stx:libview2'    "ValueHolder - referenced by Parser>>addDoItTemporary: "
        #'stx:libwidg'    "Workspace - referenced by Parser>>primary_identifier "
        #'stx:libwidg2'    "TextBox - referenced by WarningCompilationErrorHandler>>error:position:to:from: "
    )
!

preRequisites
    ^ #(
        #'stx:libbasic'    "CharacterArray - superclass of ImmutableString "
    )
! !

!stx_libcomp class methodsFor:'description - compilation'!

additionalBaseAddressDefinition_bc_dot_mak
    "this is an optional definition, which (if present) may speed up the dll-loading a little
     on win32 systems."

    ^ '
# see stdHeader_bc for LIBCOMP_BASE
LIB_BASE=$(LIBCOMP_BASE)
'
!

stcOptimizationOptions
    ^ '+optinline'

    "Created: / 23-08-2006 / 11:27:31 / cg"
! !

!stx_libcomp class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        AssignmentNode
        BinaryNode
        BlockNode
        ByteCodeCompiler
        CascadeNode
        (CodeStream auto)
        CompilationErrorHandler
        ConstantNode
        Decompiler
        Explainer
        ImmutableArray
        ImmutableString
        LazyMethod
        MessageNode
        (MethodNode auto)
        (NullScope auto)
        ObjectFileHandle
        ObjectFileLoader
        (OldParserTest auto)
        (ParameterNode auto)
        ParseErrorNode
        ParseNode
        Parser
        ParserFlags
        PrimaryNode
        PrimitiveNode
        ProgramNode
        ProgramNodeBuilder
        ProgramNodeEnumerator
        (Reference auto)
        ReturnNode
        STCCompilerInterface
        Scanner
        SelfNode
        SourceFileLoader
        StatementNode
        Structure
        SuperNode
        Switch
        (SyntaxError auto)
        SyntaxHighlighter
        UnaryNode
        UndefinedVariable
        Variable
        VariableNode
        WarningCompilationErrorHandler
        #'stx_libcomp'
        ImmutableByteArray
    )
!

extensionMethodNames
    ^ #(
        Object notifyTodo:position:className:selector:severity:priority:equalityParameter:checkAction:
    )
! !

!stx_libcomp class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Bytecode Compiler'
!

legalCopyright
    "Return copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2009\nCopyright eXept Software AG 1998-2009'

    "Modified: / 08-11-2007 / 16:58:27 / cg"
! !

!stx_libcomp class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libcomp/stx_libcomp.st,v 1.27 2009-11-05 14:46:54 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libcomp/stx_libcomp.st,v 1.27 2009-11-05 14:46:54 cg Exp $'
! !
